Bug 126477 - FILEOPEN DOCX Embedded OLE document does not show charts
Summary: FILEOPEN DOCX Embedded OLE document does not show charts
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Tünde Tóth
URL:
Whiteboard: target:7.5.0
Keywords:
Depends on:
Blocks: DOCX-OLE-Objects
  Show dependency treegraph
 
Reported: 2019-07-19 10:18 UTC by NISZ LibreOffice Team
Modified: 2022-12-14 07:48 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file with text and chart to embed (18.46 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-07-19 10:18 UTC, NISZ LibreOffice Team
Details
Example file with text and chart to embed (24.61 KB, application/binary)
2019-07-19 10:19 UTC, NISZ LibreOffice Team
Details
Example file with lorem-chart.odt embedded (25.15 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-07-19 10:19 UTC, NISZ LibreOffice Team
Details
Example file with lorem-chart.docx embedded (23.09 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-07-19 10:20 UTC, NISZ LibreOffice Team
Details
The example files reopened in Writer (84.69 KB, image/png)
2019-07-19 10:20 UTC, NISZ LibreOffice Team
Details
The example files reopened in Word (107.81 KB, image/png)
2019-07-19 10:21 UTC, NISZ LibreOffice Team
Details
Example file with the two attachments embedded (23.01 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-10-19 07:39 UTC, NISZ LibreOffice Team
Details
The document saved by Writer and opened in Word 2013 - good (73.69 KB, image/png)
2020-10-19 07:40 UTC, NISZ LibreOffice Team
Details
The document saved by Writer and opened in Writer - bad (100.25 KB, image/png)
2020-10-19 07:41 UTC, NISZ LibreOffice Team
Details
Example odt file with the two attachments embedded (57.97 KB, application/vnd.oasis.opendocument.text)
2020-10-19 07:44 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2019-07-19 10:18:12 UTC
Description:
Opening documents with embedded ODT/DOCX files that contain charts do not show the charts at all.

Steps to Reproduce:
1.	Create a simple document with some text and a default chart. Save this as ODT then as DOCX too.
2.	Create another document and choose Insert – Object – OLE object.
3.	Choose Create from file in the dialog and select the ODT file created in step 1.
4.	Save the file as DOCX and reopen. The embedded file shows the text but the chart is missing.
5.	Create another document and choose Insert – Object – OLE object.
6.	Choose Create from file in the dialog and select the DOCX file created in step 1.
7.	Save the file as DOCX and reopen. The embedded file shows the text but the chart is missing.
8.	Open the files in Word. The embedded documents show the chart in case of the embedded ODT and the placeholder in case of the embedded DOCX.


Actual Results:
Embedded charts do not appear at all.

Expected Results:
Embedded charts should appear.


Reproducible: Always


User Profile Reset: No



Additional Info:
LibreOffice details:
Version: 6.4.0.0.alpha0+ (x86)
Build ID: 49422a469646ad8be43ba828ca24c2484c26b9e8
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-07-08_00:50:19
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: CL
Comment 1 NISZ LibreOffice Team 2019-07-19 10:18:52 UTC
Created attachment 152878 [details]
Example file with text and chart to embed
Comment 2 NISZ LibreOffice Team 2019-07-19 10:19:23 UTC
Created attachment 152879 [details]
Example file with text and chart to embed
Comment 3 NISZ LibreOffice Team 2019-07-19 10:19:54 UTC
Created attachment 152880 [details]
Example file with lorem-chart.odt embedded
Comment 4 NISZ LibreOffice Team 2019-07-19 10:20:25 UTC
Created attachment 152881 [details]
Example file with lorem-chart.docx embedded
Comment 5 NISZ LibreOffice Team 2019-07-19 10:20:54 UTC
Created attachment 152882 [details]
The example files reopened in Writer
Comment 6 NISZ LibreOffice Team 2019-07-19 10:21:16 UTC
Created attachment 152883 [details]
The example files reopened in Word
Comment 7 Dieter 2019-07-22 07:09:04 UTC
I confirm it with

Version: 6.4.0.0.alpha0+ (x64)
Build ID: 2f2f4767089512c34514896bc37823f9310e9dd4
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-07-10_02:13:57
Locale: de-DE (de_DE); UI-Language: en-US
Calc: threaded
Comment 8 NISZ LibreOffice Team 2020-10-19 07:39:48 UTC
Created attachment 166491 [details]
Example file with the two attachments embedded

Now after bug #134987 is fixed embedding the attachments and saving to DOCX makes the charts in the embedded documents appear correctly in Word, but still not in Writer.
Comment 9 NISZ LibreOffice Team 2020-10-19 07:40:44 UTC
Created attachment 166492 [details]
The document saved by Writer and opened in Word 2013 - good
Comment 10 NISZ LibreOffice Team 2020-10-19 07:41:12 UTC
Created attachment 166493 [details]
The document saved by Writer and opened in Writer - bad
Comment 11 NISZ LibreOffice Team 2020-10-19 07:44:23 UTC
Created attachment 166494 [details]
Example odt file with the two attachments embedded
Comment 12 QA Administrators 2022-10-20 03:43:40 UTC Comment hidden (obsolete)
Comment 13 Gabor Kelemen (allotropia) 2022-10-20 17:47:07 UTC
Still a problem in

Version: 7.5.0.0.alpha0+ / LibreOffice Community
Build ID: f3a82a8ba51195cf31b0f78164735acc7ebbcd2f
CPU threads: 8; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: hu-HU (hu_HU.UTF-8); UI: en-US
Calc: threaded
Comment 14 Commit Notification 2022-12-05 13:15:19 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/57db9a4fdbee6db24b381f3ea48b3df089c555fc

tdf#126477 DOCX export: fix lost charts in embedded documents

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 NISZ LibreOffice Team 2022-12-14 07:48:59 UTC
Verified in:
Version: 7.6.0.0.alpha0+ (X86_64) / LibreOffice Community
Build ID: 9b46020c262045aed0beace4708565235c2523cc
CPU threads: 4; OS: Windows 10.0 Build 19044; UI render: Skia/Vulkan; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL threaded